<?php
require_once ('core/base.php');
$header = 'Авторизация';
require_once ('core/head.php');

trueauth(); 

$_REQUEST['success'] = fl($_REQUEST['success']);

if(isset($_REQUEST['success'])){
	$name = fl($_POST['login']); 
	$pass = fl($_POST['password']); 
	$sql = $base -> query("SELECT `login`,`password` FROM `users` WHERE `login` = '".$name."' and `password`='".md5($pass)."' LIMIT 1")  -> fetch_assoc();   
	if(empty($name)) error('Введите логин.');  
	elseif(empty($pass)) error('Введите пароль.'); 
	elseif($sql == 0) error('Такой пользователь не найден.');  
	else {
		setcookie('login', $name, time()+86400*365, '/');
		setcookie('password', md5($pass), time()+86400*365, '/');
		header('location: /');
	} 
}
echo '<div class="b">';
	echo '<form action="" method="post">';
		echo '<center>';
		echo 'Логин:<br/>';
		echo '<input type="text" name="login" placeholder="Введите свой логин..."></br>';
		echo 'Пароль: <br/>';
		echo '<input type="password" name="password" placeholder="Введите свой пароль..."></br>';
		echo '<center><input type="submit" name="success" value="Войти"></center>';
		echo '</center>';
	echo '</form>';
echo '<a class="btn" href="/"><img src="/images/icons/back.png"> На главную</a>';
echo '</div>';

require_once ('core/foot.php');
?>